org.scalatest.events

# SuiteAborted

#### object SuiteAborted extends Serializable

Companion object for the `SuiteAborted` event, which contains overloaded factory methods and an extractor method to facilitate pattern matching on `SuiteAborted` objects.

All factory methods throw `NullPointerException` if any of the passed values are `null`.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. SuiteAborted
2. Serializable
3. Serializable
4. AnyRef
5. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable]): SuiteAborted

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` for `duration`, `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` for `duration`, `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   suiteName

     the name of the suite containing the suite that has aborted

   suiteClassName

     an optional fully qualifed `Suite` class name containing the suite that has aborted

   throwable

     an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

   returns

     a new `SuiteAborted` instance initialized with the passed and default values

7. #### def apply (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long]): SuiteAborted

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` for `formatter`, `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   suiteName

     the name of the suite containing the suite that has aborted

   suiteClassName

     an optional fully qualifed `Suite` class name containing the suite that has aborted

   throwable

     an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

   duration

     an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

   returns

     a new `SuiteAborted` instance initialized with the passed and default values

8. #### def apply (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long], formatter: Option[Formatter]): SuiteAborted

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` as the `rerunner`, `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   suiteName

     the name of the suite containing the suite that has aborted

   suiteClassName

     an optional fully qualifed `Suite` class name containing the suite that has aborted

   throwable

     an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

   duration

     an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   returns

     a new `SuiteAborted` instance initialized with the passed and default values

9. #### def apply (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long], formatter: Option[Formatter], rerunner: Option[Rerunner]): SuiteAborted

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   Constructs a new `SuiteAborted` event with the passed parameters, passing `None` as the `payload`, the current threads name as `threadname`, and the current time as `timeStamp`.

   ordinal

     an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

   message

     a localized message suitable for presenting to the user

   suiteName

     the name of the suite containing the suite that has aborted

   suiteClassName

     an optional fully qualifed `Suite` class name containing the suite that has aborted

   throwable

     an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

   duration

     an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

   formatter

     an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

   rerunner

     an optional `Rerunner` that can be used to rerun the suite that has aborted (if `None` is passed, the suite cannot be rerun)

   returns

     a new `SuiteAborted` instance initialized with the passed and default values

10. #### def apply (ordinal: Ordinal, message: String, suiteName: String, suiteClassName: Option[String], throwable: Option[Throwable], duration: Option[Long], formatter: Option[Formatter], rerunner: Option[Rerunner], payload: Option[Any]): SuiteAborted

    Constructs a new `SuiteAborted` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

    Constructs a new `SuiteAborted` event with the passed parameters, passing the current thread's name as `threadname` and the current time as `timeStamp`.

    ordinal

      an `Ordinal` that can be used to place this event in order in the context of other events reported during the same run

    message

      a localized message suitable for presenting to the user

    suiteName

      the name of the suite containing the suite that has aborted

    suiteClassName

      an optional fully qualifed `Suite` class name containing the suite that has aborted

    throwable

      an optional `Throwable` that, if a `Some`, indicates why the suite has aborted, or a `Throwable` created to capture stack trace information about the problem.

    duration

      an optional amount of time, in milliseconds, that was required to execute the suite that has aborted

    formatter

      an optional formatter that provides extra information that can be used by reporters in determining how to present this event to the user

    rerunner

      an optional `Rerunner` that can be used to rerun the suite that has aborted (if `None` is passed, the suite cannot be rerun)

    payload

      an optional object that can be used to pass custom information to the reporter about the `SuiteAborted` event

    returns

      a new `SuiteAborted` instance initialized with the passed and default values

11. #### def asInstanceOf [T0] : T0

    Attributes
      final
    Definition Classes
      Any

12. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

16. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

18. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

19. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def readResolve (): AnyRef

    Attributes
      protected

23. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

24. #### def toString (): String

    Definition Classes
      AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any